Open MPI logo

Open MPI User's Mailing List Archives

  |   Home   |   Support   |   FAQ   |   all Open MPI User's mailing list

Subject: Re: [OMPI users] Relocating an Open MPI installation using OPAL_PREFIX
From: Jeff Squyres (jsquyres_at_[hidden])
Date: 2009-01-07 06:31:07


On Jan 6, 2009, at 4:36 PM, Ethan Mallove wrote:

> Can the Open MPI configure setup handle ${exec_prefix} at the command
> line? ${exec_prefix} seems to be getting eval'd to "NONE" in the
> sub-configure's, and I get the following error:
>
> ...
> *** GNU libltdl setup
> configure: OMPI configuring in opal/libltdl
> configure: running /bin/bash './configure' 'CC=cc' 'CXX=CC'
> 'F77=f77' 'FC=f90' '--without-threads' '--enable-heterogeneous' '--
> enable-cxx-exceptions' '--enable-shared' '--enable-orterun-prefix-by-
> default' '--with-sge' '--enable-mpi-f90' '--with-mpi-f90-size=small'
> '--disable-mpi-threads' '--disable-progress-threads' '--disable-
> debug' 'CFLAGS=-xtarget=ultra3 -m32 -xarch=sparcvis2 -xprefetch -
> xprefetch_level=2 -xvector=lib -xdepend=yes -xbuiltin=%all -xO5'
> 'CXXFLAGS=-xtarget=ultra3 -m32 -xarch=sparcvis2 -xprefetch -
> xprefetch_level=2 -xvector=lib -xdepend=yes -xbuiltin=%all -xO5'
> 'FFLAGS=-xtarget=ultra3 -m32 -xarch=sparcvis2 -xprefetch -
> xprefetch_level=2 -xvector=lib -stackvar -xO5' 'FCFLAGS=-
> xtarget=ultra3 -m32 -xarch=sparcvis2 -xprefetch -xprefetch_level=2 -
> xvector=lib -stackvar -xO5' '--prefix=/opt/SUNWhpc/HPC8.2/sun' '--
> libdir=NONE/lib' '--includedir=/opt/SUNWhpc/HPC8.2/sun/include' '--
> without-mx' '--with-tm=/ws/ompi-tools/orte/torque/current/shared-
> install32' '--with-co!
> ntrib-vt-flags=--prefix=/opt/SUNWhpc/HPC8.2/sun --libdir='/lib' --
> includedir='/include' LDFLAGS=-R/opt/SUNWhpc/HPC8.2/sun/lib' '--with-
> package-string=ClusterTools 8.2' '--with-ident-string=@(#)RELEASE
> VERSION 1.3r20204-ct8.2-b01b-r10' --enable-ltdl-convenience --
> disable-ltdl-install --enable-shared --disable-static --cache-file=/
> dev/null --srcdir=. configure: WARNING: Unrecognized options: --
> without-threads, --enable-heterogeneous, --enable-cxx-exceptions, --
> enable-orterun-prefix-by-default, --with-sge, --enable-mpi-f90, --
> with-mpi-f90-size, --disable-mpi-threads, --disable-progress-
> threads, --disable-debug, --without-mx, --with-tm, --with-contrib-vt-
> flags, --with-package-string, --with-ident-string, --enable-ltdl-
> convenience
> configure: error: expected an absolute directory name for --libdir:
> NONE/lib
> configure: /bin/bash './configure' *failed* for opal/libltdl
> configure: error: Failed to build GNU libltdl. This usually means
> that something
> is incorrectly setup with your environment. There may be useful
> information in
> opal/libltdl/config.log. You can also disable GNU libltdl (which
> will disable
> dynamic shared object loading) by configuring with --disable-dlopen.
>
> It appears the sub-configure needs to escape some "$" chars.
> (opal/libltdl is the portable dlopen() stuff, right? That is, it's not
> an optional feature that we can temporarily turn off to work around
> this issue.)

That could well be true. Have you tried it?

-- 
Jeff Squyres
Cisco Systems